<?php

require_once('/usr/fallback/beroConf.php');

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'ProvisioningMd5Get';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		$bc = new beroConf('root');
		if (strlen(($provMd5 = $bc->get('root', 'provisioning_config_md5'))) == 0) {
			$this->_execResultString = 'error:no_md5_checksum_saved';
			$this->_execResult = false;
			return($this->_execResult);
		}

		$this->_execResultString .= ':' . $provMd5;

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
