<?php

function get_berofix_hostname () {

	$hostname = @file('/etc/hostname');
	if ($hostname == false) {
		return('unknown');
	}

	return(str_replace(array("\r", "\n", ' '), '', $hostname[0]));
}

function get_mtime_datestring_for_file ($filename) {

	if (!file_exists($filename)) {
		return('unknown');
	}

	return(@date ('Ymd-His', filemtime($filename)));
}

function get_fulltrace_datestring_for_file () {

	if (!file_exists('/tmp/fulltrace-starttime.txt')) {
		return('unknown');
	}

	$datestring = @file('/tmp/fulltrace-starttime.txt');
	return(str_replace(array("\r", "\n", ' '), '', $datestring[0]));
}

# check if session is valid
$newTarget='/app/berogui/index.php?m=FulltraceGui';
require_once('/usr/local/www/berogui/includes/session.php');
unset($newTarget);

exec('/bin/sync');
switch ($_GET['option']) {
case 'isgw':
	if (!file_exists('/tmp/debug-info.tar.gz')) {
		exit(0);
	}

	$fileList = '/tmp/debug-info.tar.gz' . (file_exists('/tmp/core') ? ' /tmp/core' : '');
	$fname = 'debug-info-' . get_berofix_hostname() . '-' . get_mtime_datestring_for_file('/tmp/debug-info.tar.gz') . '.tar';
	header('Content-Type: application/force-download');
	header('Content-Disposition: attachment; filename=' . $fname . "\r\n\r\n");
	passthru('tar -f - -c ' . $fileList);
	exit(0);
case 'error':
	if (!file_exists('/tmp/isgw.err')) {
		exit(0);
	}

	$file = file_get_contents('/tmp/isgw.err');
	header('Content-Type: application/force-download');
	header('Content-Disposition: attachment; filename=isgw.err' . "\r\n\r\n");
	header('Content-Length: ' . strlen($file) . "\n\n");
	echo $file;
	exit(0);
case 'cloud':
	if (!file_exists('/tmp/isgw.err')) {
		exit(0);
	}

	$file = file_get_contents('/tmp/cloud.log');
	header('Content-Type: application/force-download');
	header('Content-Disposition: attachment; filename=cloud.log' . "\r\n\r\n");
	header('Content-Length: ' . strlen($file) . "\n\n");
	echo $file;
	exit(0);
case 'single_logfile':
	@exec('/bin/sync');
	if (!file_exists('/var/log/' . $_POST['logfile_name'])) {
		exit(0);
	}

	$file = file_get_contents('/var/log/' . $_POST['logfile_name']);
	header('Content-Type: application/force-download');
	header('Content-Disposition: attachment; filename=' . $_POST['logfile_name'] . "\r\n\r\n");
	header('Content-Length: ' . strlen($file) . "\n\n");
	echo $file;
	exit(0);
}

if (!file_exists('/tmp/DebugFiles.tar.gz')) {
	exit(0);
}

$fcontents = file_get_contents('/tmp/DebugFiles.tar.gz');
$fname = 'DebugFiles-' . get_berofix_hostname() . '-' . get_fulltrace_datestring_for_file() . '_' .  md5($fcontents) . '.tar.gz';
header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename="' . $fname . '"');
header('Content-Length: ' . filesize('/tmp/DebugFiles.tar.gz'));
echo $fcontents;

?>
